Bug 736228 - remove all langpacks from language support groups
Summary: remove all langpacks from language support groups
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 05:54 UTC by Jens Petersen
Modified: 2014-03-17 03:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 21:00:07 UTC


Attachments (Terms of Use)

Description Jens Petersen 2011-09-07 05:54:01 UTC
Thanks to your langpacks section now in comps
I think we can and should now deprecate (well remove)
all the explicitly listed conditional langpacks from comps.
This will clean up things a lot.  Can we still do this
for comps-f16 or is it better to wait still for F17?

I am happy to do the cleanup once given a green light.
I can also post this question to devel list if it needs
more discussion.

Comment 1 Bill Nottingham 2011-09-07 22:59:49 UTC
Paranoia makes me concerned about doing this for F-16. Maybe it's worth trying for beta though.

Comment 2 Jens Petersen 2011-09-08 05:33:39 UTC
Ok then perhaps I could try pruning comps-f17 first then,
if you don't get there before me. :)

It occurred to us that maybe anaconda still needs them though?
Is anaconda already using yum-langpacks now? :)

Comment 3 Bill Nottingham 2011-09-08 16:46:06 UTC
It should be using it now.

Comment 4 Jens Petersen 2011-09-09 05:21:39 UTC
Ok thanks.

Maybe anaconda needs a way to set langpack_locales,
hm or maybe it is not worth worrying about?
Perhaps we would need to keep the empty language groups around for that?

I have changed comps-f17.xml.in locally to remove
all of the conditional langpacks from language
support groups and currently also removing all the language
support groups that became empty by this.

$ git diff --stat
 comps-f17.xml.in | 1519 +-----------------------------------------------------
 1 files changed, 3 insertions(+), 1516 deletions(-)

(I dunno why diff is claiming +3 but anyway.)

It is a big change so I agree it is probably wiser to wait for f17,
though of course doing it now would allow us to test longer and make
any needed adjustments earlier.

I just sent out a headsup mail about the plan to devel list, etc
to allow any early discussion.

Comment 5 Jens Petersen 2011-09-16 11:46:40 UTC
As first step I'd like to remove the langpack entries soon from comps-f17.
Then we can think more about how to handle the empty language support groups.

I have done the changes locally but I didn't have time to undo
the removal of the now empty lang groups.  I can do that latter this month
(though not stopping anyone else from going ahead:).

Comment 6 Bill Nottingham 2011-09-19 21:00:07 UTC
Fixed in git.

Comment 7 Jens Petersen 2011-10-07 04:23:00 UTC
Thanks! :)  (just waiting for someone to merge them back now from f16;)


Note You need to log in before you can comment on or make changes to this bug.